Bug 988604 - [abrt] timidity++-2.14.0-5.fc19: pthread_cond_wait@@GLIBC_2.3.2: Process /usr/bin/timidity was killed by signal 4 (SIGILL)
[abrt] timidity++-2.14.0-5.fc19: pthread_cond_wait@@GLIBC_2.3.2: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
abrt_hash:84eda29074c77fec82dcd395cc6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 19:40 EDT by David Ford
Modified: 2015-02-17 11:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.09 KB, text/plain)
2013-07-25 19:40 EDT, David Ford
no flags Details
File: cgroup (139 bytes, text/plain)
2013-07-25 19:40 EDT, David Ford
no flags Details
File: core_backtrace (3.95 KB, text/plain)
2013-07-25 19:40 EDT, David Ford
no flags Details
File: dso_list (3.89 KB, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details
File: environ (1.51 KB, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details
File: maps (19.23 KB, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details
File: open_fds (2.63 KB, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-07-25 19:41 EDT, David Ford
no flags Details

  None (edit)
Description David Ford 2013-07-25 19:40:44 EDT
Description of problem:
Piped a midi file from a music notation programme into Timidity 

exec /usr/bin/timidity -c /home/david/Music/Soundfonts/realfont21.cfg -L /home/david/Music/Soundfonts -Os "$1"

where $1 is the midi file generated by the notation programme

I clicked to stop the playback then it crashed

Version-Release number of selected component:
timidity++-2.14.0-5.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/timidity -c /home/david/Music/Soundfonts/realfont21.cfg -L /home/david/Music/Soundfonts -Os /usr/tmp/uplaytmp.mid
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/timidity
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            500
var_log_messages: Jul 26 00:30:03 thinkcentre abrt[5049]: Saved core dump of pid 5040 (/usr/bin/timidity) to /var/tmp/abrt/ccpp-2013-07-26-00:30:03-5040 (20307968 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:143
 #1 pa_threaded_mainloop_wait at pulse/thread-mainloop.c:206
 #2 pulse_wait_operation at pulse.c:72
 #3 pulse_stop at pcm_pulse.c:279
 #4 snd_pcm_ioplug_drop at pcm_ioplug.c:464
 #5 acntl at alsa_a.c:618
 #6 safe_exit at common.c:624
 #7 sigterm_exit at timidity.c:5136
 #9 pthread_cond_wait@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:141
 #10 pa_threaded_mainloop_wait at pulse/thread-mainloop.c:206
Comment 1 David Ford 2013-07-25 19:40:49 EDT
Created attachment 778565 [details]
File: backtrace
Comment 2 David Ford 2013-07-25 19:40:53 EDT
Created attachment 778566 [details]
File: cgroup
Comment 3 David Ford 2013-07-25 19:40:57 EDT
Created attachment 778567 [details]
File: core_backtrace
Comment 4 David Ford 2013-07-25 19:41:01 EDT
Created attachment 778568 [details]
File: dso_list
Comment 5 David Ford 2013-07-25 19:41:04 EDT
Created attachment 778569 [details]
File: environ
Comment 6 David Ford 2013-07-25 19:41:08 EDT
Created attachment 778570 [details]
File: limits
Comment 7 David Ford 2013-07-25 19:41:12 EDT
Created attachment 778571 [details]
File: maps
Comment 8 David Ford 2013-07-25 19:41:15 EDT
Created attachment 778572 [details]
File: open_fds
Comment 9 David Ford 2013-07-25 19:41:19 EDT
Created attachment 778573 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-01-09 14:06:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 11:21:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.